Page MenuHomePhabricator

Load all Wikimedia-deployed extensions and skins via extension registration
Open, NormalPublic

Description

Conversion checklist

  • Convert extension/skin repository to use the registration system. See T87875 for details.
  • Update wmf-config/CommonSettings.php to use wfLoadExtension().
  • Update extension-list to use extension.json. This effort is tracked at T139800.

To do and blockers

Done

  • AbuseFilter
  • AntiSpoof
  • ApiFeatureUsage
  • Babel
  • BetaFeatures
  • BounceHandler
  • Calendar
  • Campaigns
  • Capiunto
  • Cards
  • CategoryTree
  • CentralAuth
  • CentralNotice
  • CharInsert
  • CheckUser
  • Cite
  • CiteThisPage
  • Citoid
  • cldr
  • CleanChanges
  • CodeEditor
  • CodeReview
  • CommonsMetadata
  • ConfirmEdit
  • ContactPage
  • ContentTranslation
  • ContributionTracking
  • CreditsSource
  • DisableAccount
  • Disambiguator
  • DismissableSiteNotice
  • DoubleWiki
  • DynamicPageList
  • Echo
  • EducationProgram
  • Elastica
  • EventBus
  • EventLogging
  • ExtensionDistributor
  • FancyCaptcha
  • FeaturedFeeds
  • Flow
  • FundraiserLandingPage
  • FundraisingTranslateWorkflow
  • Gadgets
  • GeoCrumbs
  • GeoData
  • GettingStarted
  • GlobalBlocking
  • GlobalCssJs
  • GlobalUsage
  • GlobalUserPage
  • GoogleNewsSitemap
  • Graph
  • GuidedTour
  • GWToolset
  • ImageMap
  • InputBox
  • Insider
  • Interwiki
  • Josa
  • JsonConfig
  • Kartographer
  • LabeledSectionTransclusion
  • LandingCheck
  • Listings
  • LocalisationUpdate
  • MapSources
  • MassMessage
  • Math
  • MobileApp
  • MobileFrontend
  • MoodBar
  • MultimediaViewer
  • MwEmbedSupport
  • NavigationTiming
  • NewUserMessage
  • Nuke
  • OATHAuth
  • OAuth
  • ORES
  • PageAssessments
  • PagedTiffHandler
  • PageImages
  • PageTriage
  • ParserFunctions
  • ParsoidBatchAPI
  • PdfHandler
  • Petition
  • Poem
  • Popups
  • ProofreadPage
  • QuickSurveys
  • Quiz
  • RelatedArticles
  • RelatedSites
  • Renameuser
  • RestBaseUpdateJobs
  • RevisionSlider
  • RSS
  • SandboxLink
  • Score
  • Scribunto
  • SearchExtraNS
  • SecurePoll
  • ShortUrl
  • SiteMatrix
  • SpamBlacklist
  • SubPageList3
  • SubpageSortkey
  • SyntaxHighlight_GeSHi
  • TemplateData
  • TemplateSandbox
  • TextExtracts
  • Thanks
  • TimedMediaHandler
  • Timeline
  • TitleBlacklist
  • TocTree
  • TorBlock
  • TranslationNotifications
  • TrustedXFF
  • UnicodeConverter
  • UniversalLanguageSelector
  • UploadsLink
  • UploadWizard
  • UrlShortener
  • UserMerge
  • VipsScaler
  • VisualEditor
  • WikidataPageBanner
  • WikiEditor
  • wikihiero
  • WikiLove
  • WikimediaEvents
  • WikimediaIncubator
  • WikimediaMessages
  • XAnalytics
  • ZeroBanner
  • ZeroPortal
  • CologneBlue
  • Modern
  • MonoBook
  • Nostalgia
  • Vector

See also

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
tstarling added a subscriber: tstarling.

It would be really nice if we could complete this and get O(1) setup time for $wgAutoloadClasses

Reedy updated the task description. (Show Details)
Reedy removed a project: Patch-For-Review.
Reedy updated the task description. (Show Details)

Just updated the list above... So AFAIK, we've just got the ones that still need migration

reedy@tin:/srv/mediawiki-staging/wmf-config$ grep php$ extension-list
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/EducationProgram/EducationProgram.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/GWToolset/GWToolset.php
$IP/extensions/PageTriage/PageTriage.php
$IP/extensions/Scribunto/Scribunto.php
$IP/extensions/TimedMediaHandler/TimedMediaHandler.php
$IP/extensions/Translate/Translate.php

I know MediaWiki allows that complexity, but the migration is made harder by the added complexity that were added into loader files...

PageTriage was done originally, but then reverted because "TLDR; rebasing is hard and this is under a lot of development", but not much happened after development wise, typically. https://gerrit.wikimedia.org/r/#/c/341561/ is take 2

EducationProgram is https://gerrit.wikimedia.org/r/#/c/303384/

For CirrusSearch, maybe we need to speak to that team to put it to the top of their priority list, probably after they've finished their rounds of upgrades.

Looks like VE has been converted (so not in list above), so we just need to fix the require in CommonSettings...

FlaggedRevs I did once, but it got abandoned because of complexity I think.

GWToolset was reverted as it broke stuff...

Change 345320 had a related patch set uploaded (by Reedy):
[operations/mediawiki-config@master] Swap to use wfLoadExtension for VisualEditor

https://gerrit.wikimedia.org/r/345320

Change 345320 merged by jenkins-bot:
[operations/mediawiki-config@master] Swap to use wfLoadExtension for VisualEditor

https://gerrit.wikimedia.org/r/345320

Reedy updated the task description. (Show Details)Mar 29 2017, 1:12 PM

Change 347122 had a related patch set uploaded (by Reedy):
[operations/mediawiki-config@master] Switch EducationProgram to extension.json for extension-list

https://gerrit.wikimedia.org/r/347122

Change 347122 merged by jenkins-bot:
[operations/mediawiki-config@master] Switch EducationProgram to extension.json for extension-list

https://gerrit.wikimedia.org/r/347122

Reedy updated the task description. (Show Details)

Scribunto is ready to load over extension.json after deployment of 1.30.0-wmf.8

T87969 / https://gerrit.wikimedia.org/r/#/c/265184/

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptAug 2 2017, 3:47 AM
Legoktm updated the task description. (Show Details)Jun 5 2018, 1:31 AM
Legoktm updated the task description. (Show Details)

Change 448176 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Load TimedMediaHandler via static extension registration

https://gerrit.wikimedia.org/r/448176

Change 448177 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Load TimedMediaHandler's i18n via static extension registration

https://gerrit.wikimedia.org/r/448177

Change 448176 merged by jenkins-bot:
[operations/mediawiki-config@master] Load TimedMediaHandler via static extension registration

https://gerrit.wikimedia.org/r/448176

Mentioned in SAL (#wikimedia-operations) [2018-08-06T23:27:02Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT Load TimedMediaHandler via static extension registration T140852 (duration: 00m 48s)

Change 448177 merged by jenkins-bot:
[operations/mediawiki-config@master] Load TimedMediaHandler's i18n via static extension registration

https://gerrit.wikimedia.org/r/448177

Izno updated the task description. (Show Details)Sep 11 2018, 7:47 PM
Izno updated the task description. (Show Details)Sep 11 2018, 7:52 PM
Izno updated the task description. (Show Details)Sep 11 2018, 9:14 PM
Reedy updated the task description. (Show Details)Sep 11 2018, 9:17 PM
Reedy updated the task description. (Show Details)
Reedy added a comment.Sep 11 2018, 9:19 PM
reedy@ubuntu64-web-esxi:~/git/operations/mediawiki-config$ grep php$ wmf-config/extension-list 
$IP/extensions/CirrusSearch/CirrusSearch.php
$IP/extensions/Collection/Collection.php
$IP/extensions/FlaggedRevs/FlaggedRevs.php
$IP/extensions/LdapAuthentication/LdapAuthentication.php
$IP/extensions/OpenStackManager/OpenStackManager.php
$IP/extensions/Translate/Translate.php
$IP/extensions/Wikibase/client/WikibaseClient.php
$IP/extensions/Wikibase/repo/Wikibase.php

Uh @Krinkle can you revert your changes please? These were two different tasks. T87875 was about converting the extensions themselves, while this one was about updating CommonSettings.php/etc to load using wfLoadExtension(), which usually happens a week or two later.

And removing the subtasks from T87875 broke https://tools.wmflabs.org/extreg-wos/ ...

Change 513068 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [cirrus] Load cirrus using wfLoadExtension

https://gerrit.wikimedia.org/r/513068

Change 513068 merged by jenkins-bot:
[operations/mediawiki-config@master] [cirrus] Load cirrus using wfLoadExtension

https://gerrit.wikimedia.org/r/513068

Krinkle removed a subscriber: Krinkle.Wed, Jun 19, 2:09 AM